

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15. 関数 &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <script src="../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../genindex.html" />
    <link rel="search" title="検索" href="../search.html" />
    <link rel="next" title="7.15.1. between" href="functions/between.html" />
    <link rel="prev" title="7.14. 正規表現" href="regular_expression.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../en/html/reference/function.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="functions/between.html" title="7.15.1. between"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="regular_expression.html" title="7.14. 正規表現"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../reference.html" accesskey="U"><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15. </span>関数</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="function">
<h1><span class="section-number">7.15. </span>関数<a class="headerlink" href="#function" title="このヘッドラインへのパーマリンク">¶</a></h1>
<p>関数はいくつかのコマンドの中で使えます。 <a class="reference internal" href="commands/select.html"><span class="doc">select</span></a> コマンドの <code class="docutils literal notranslate"><span class="pre">--filter</span></code> 、 <code class="docutils literal notranslate"><span class="pre">--scorer</span></code> 、 <code class="docutils literal notranslate"><span class="pre">output_columns</span></code> オプションで使えます。</p>
<p>このセクションでは関数についての説明と組み込みの関数について説明します。</p>
<p>TODO: Add documentations about function.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="functions/between.html">7.15.1. <code class="docutils literal notranslate"><span class="pre">between</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/cast_loose.html">7.15.2. <code class="docutils literal notranslate"><span class="pre">cast_loose</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/edit_distance.html">7.15.3. edit_distance</a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/fuzzy_search.html">7.15.4. <code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/geo_distance.html">7.15.5. <code class="docutils literal notranslate"><span class="pre">geo_distance</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/geo_in_circle.html">7.15.6. geo_in_circle</a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/geo_in_rectangle.html">7.15.7. geo_in_rectangle</a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/highlight_full.html">7.15.8. <code class="docutils literal notranslate"><span class="pre">highlight_full</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/highlight_html.html">7.15.9. <code class="docutils literal notranslate"><span class="pre">highlight_html</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/html_untag.html">7.15.10. <code class="docutils literal notranslate"><span class="pre">html_untag</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/in_records.html">7.15.11. <code class="docutils literal notranslate"><span class="pre">in_records</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/in_values.html">7.15.12. <code class="docutils literal notranslate"><span class="pre">in_values</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/math_abs.html">7.15.13. <code class="docutils literal notranslate"><span class="pre">math_abs</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/now.html">7.15.14. now</a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/number_classify.html">7.15.15. <code class="docutils literal notranslate"><span class="pre">number_classify</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/prefix_rk_search.html">7.15.16. <code class="docutils literal notranslate"><span class="pre">prefix_rk_search</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/query.html">7.15.17. <code class="docutils literal notranslate"><span class="pre">query</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/rand.html">7.15.18. rand</a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/snippet_html.html">7.15.19. <code class="docutils literal notranslate"><span class="pre">snippet_html</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/string_length.html">7.15.20. <code class="docutils literal notranslate"><span class="pre">string_length</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/string_substring.html">7.15.21. <code class="docutils literal notranslate"><span class="pre">string_substring</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/sub_filter.html">7.15.22. <code class="docutils literal notranslate"><span class="pre">sub_filter</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_day.html">7.15.23. <code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_day_of_week.html">7.15.24. <code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_hour.html">7.15.25. <code class="docutils literal notranslate"><span class="pre">time_classify_hour</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_minute.html">7.15.26. <code class="docutils literal notranslate"><span class="pre">time_classify_minute</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_month.html">7.15.27. <code class="docutils literal notranslate"><span class="pre">time_classify_month</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_second.html">7.15.28. <code class="docutils literal notranslate"><span class="pre">time_classify_second</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_week.html">7.15.29. <code class="docutils literal notranslate"><span class="pre">time_classify_week</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/time_classify_year.html">7.15.30. <code class="docutils literal notranslate"><span class="pre">time_classify_year</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/vector_find.html">7.15.31. <code class="docutils literal notranslate"><span class="pre">vector_find</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/vector_new.html">7.15.32. <code class="docutils literal notranslate"><span class="pre">vector_new</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/vector_size.html">7.15.33. <code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a></li>
<li class="toctree-l1"><a class="reference internal" href="functions/vector_slice.html">7.15.34. <code class="docutils literal notranslate"><span class="pre">vector_slice</span></code></a></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>前のトピックへ</h4>
  <p class="topless"><a href="regular_expression.html"
                        title="前の章へ"><span class="section-number">7.14. </span>正規表現</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="functions/between.html"
                        title="次の章へ"><span class="section-number">7.15.1. </span><code class="docutils literal notranslate"><span class="pre">between</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="functions/between.html" title="7.15.1. between"
             >次へ</a> |</li>
        <li class="right" >
          <a href="regular_expression.html" title="7.14. 正規表現"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15. </span>関数</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>